Autore Topic: ADT su Linux  (Letto 1967 volte)

Offline pisciotta.f

  • Utente junior
  • **
  • Post: 52
  • Respect: +2
    • Mostra profilo
ADT su Linux
« il: 02 Febbraio 2012, 12:40:02 CET »
0
Salve a tutti,
ho un problema nel processo di installazione dell ADT di Android su Eclipse di Linux.

Se eseguo l'installazione con il link https://dl-ssl.google.com/android/eclipse/ , mi genera sempre il seguente errore durante l'importazione:

"Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534)
  Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found"

C'è qualcuno che riesce ad aiutarmi? Sono bloccato =S

Offline iceweasel

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 878
  • Respect: +147
    • Mostra profilo
  • Dispositivo Android:
    LGE P990 - Google Nexus 5
  • Sistema operativo:
    Linux Debian Sid
Re:ADT su Linux
« Risposta #1 il: 02 Febbraio 2012, 17:17:01 CET »
0
Prova questi URL in base alla versione di Eclipse:

Downloading and Installing the Plugin - Google Plugin for Eclipse - Google Code

forse il server precedente non funziona o stanno cambiando i link e la documentazione non è stata aggiornata o altro.


adb logcat | tee /tmp/logcat | grep TAG

Offline pisciotta.f

  • Utente junior
  • **
  • Post: 52
  • Respect: +2
    • Mostra profilo
Re:ADT su Linux
« Risposta #2 il: 03 Febbraio 2012, 08:48:10 CET »
0
Purtroppo ancora niente! =S

Offline iceweasel

  • Moderatore globale
  • Utente senior
  • *****
  • Post: 878
  • Respect: +147
    • Mostra profilo
  • Dispositivo Android:
    LGE P990 - Google Nexus 5
  • Sistema operativo:
    Linux Debian Sid
Re:ADT su Linux
« Risposta #3 il: 03 Febbraio 2012, 09:02:20 CET »
0
Se non ti funziona URL (ricontrolla per sicurezza) prova a scaricare il plugin direttamente e installarlo localmente:

Installing the Google Plugin for Eclipse from a local update archive - Google Plugin for Eclipse - Google Code

adb logcat | tee /tmp/logcat | grep TAG

Offline JD

  • Amministratore
  • Utente storico
  • *****
  • Post: 1600
  • Respect: +232
    • leinardi
    • Mostra profilo
  • Dispositivo Android:
    LG Nexus 5
  • Sistema operativo:
    L'ultima Ubuntu
Re:ADT su Linux
« Risposta #4 il: 15 Febbraio 2012, 12:46:56 CET »
0
Se eseguo l'installazione con il link https://dl-ssl.google.com/android/eclipse/ , mi genera sempre il seguente errore durante l'importazione:

"Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534)
  Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found"

Hai visto questo tutorial?
[facile] Installare l'ADT Plugin su Eclipse 3.7 Indigo in Ubuntu 11.10 - Android Developers Italia
Io ho risolto così.
È stata trovata una soluzione al tuo problema?
Evidenzia il post più utile premendo . È un ottimo modo per ringraziare chi ti ha aiutato ;).
E se hai aperto tu il thread marcalo come risolto cliccando !

Offline pisciotta.f

  • Utente junior
  • **
  • Post: 52
  • Respect: +2
    • Mostra profilo
Re:ADT su Linux
« Risposta #5 il: 16 Febbraio 2012, 09:10:50 CET »
0
Niente...:( :(

Cannot complete the install because one or more required items could not be found.
  Software being installed: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534)
  Missing requirement: Android Development Tools 16.0.1.v201112150204-238534 (com.android.ide.eclipse.adt.feature.group 16.0.1.v201112150204-238534) requires 'org.eclipse.wst.sse.core 0.0.0' but it could not be found


Errore costante ... :(

Offline Doc_cheilvenerdi.org

  • Nuovo arrivato
  • *
  • Post: 3
  • Respect: +1
    • Google+
    • ACervellati
    • Mostra profilo
  • Dispositivo Android:
    Samsung Galaxy Next GT-S5570
  • Sistema operativo:
    Gentoo Amd64 no-multilib
Re:ADT su Linux
« Risposta #6 il: 16 Febbraio 2012, 16:17:07 CET »
0
Ho avuto lo stesso problema aggiornando l'ADT dalla versione 15 alla 16...
Nel mio caso specifico stavo usando una versione di Eclipse troppo vecchia (Galileo 3.5.2) e ho risolto velocemente installando la versione Indigo 3.7.1, aggiungendo subito dopo l'ADT versione 16.

Nel caso disponessi già dell'ultima versione di Eclipse (o anche della versione Helios 3.6.* che dovrebbe comunque bastare per l'ADT 16) potrebbero esserci dei riferimenti tra plugins installati verso plugins non più compatibili che danno l'errore visualizzato.
Un metodo per risolvere l'inghippo potrebbe essere questo:
  • cancello il plugin ADT da "HELP -> Install New Software -> Available Software Sites" e deseleziono (dallo stesso elenco) le voci "Indigo" (nel mio caso) e "The Eclipse project Updates";
  • riseleziono "Indigo" e "The Eclipse Project Updates" e aggiorno da "Help -> Check For Updates" quello che mi viene proposto;
  • riaggiungo il plugin ADT 16!

Nel caso non funzionasse neanche così potrebe essere utile sapere quale distribuzione Linux e quale versione di Eclipse stai utilizzando...

Offline pisciotta.f

  • Utente junior
  • **
  • Post: 52
  • Respect: +2
    • Mostra profilo
Re:ADT su Linux
« Risposta #7 il: 16 Febbraio 2012, 18:51:48 CET »
0
Utilizzo la versione più aggiornata di Eclipse Indigo (quella che viene scaricata automaticamente con l'apt-get install)...
La distribuzione è mint 12...

Il problema sta anche nel fatto che ormai eclipse.org da disservizio da quasi un mese!!

frusso

  • Visitatore
Re:ADT su Linux
« Risposta #8 il: 05 Marzo 2012, 21:50:51 CET »
0
io ho reinstallato tutto proprio oggi su ubuntu (32 bit)

però non installo eclipse da apt-get ma semplicemente scarico la versine JEE dal sito e poi unzippo la cartella
l'adt poi l'ho scaricato (dovevo provare una procedura di installazione offline)

Tutto è andato  posto regolarmente.

Ovviamente java 1.6

Offline Mr.Donut

  • Utente junior
  • **
  • Post: 67
  • Respect: +4
    • Mostra profilo
  • Dispositivo Android:
    Nexus One, Lg Optimus Chat
  • Sistema operativo:
    Ubuntu 11.04
Re:ADT su Linux
« Risposta #9 il: 07 Marzo 2012, 16:49:46 CET »
0
Ho avuto lo stesso identico problema e l'ho risolto grazie a questo tutorial:

(guide) reference HOW TO SET UP ADB AND FASTBOOT FOR UBUNTU [Archive]  - Android Forums at AndroidCentral.com

Uso Eclipse Indigo.

Spero di esserti stato di aiuto visto che anche io ho impiegato un secolo a far funzionare tutto come si doveva per via di quel problema...